Name:          rav1e
Version:       0.7.1
Release:       1mamba
Summary:       a fast AV1 video encoder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xiph/rav1e
Source:        https://github.com/xiph/rav1e.git/v%{version}/rav1e-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
rav1e is an AV1 video encoder. It is designed to eventually cover all use cases, though in its current form it is most suitable for cases where libaom (the reference encoder) is too slow.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
cargo fetch \
  --manifest-path Cargo.toml

%build
cargo build \
  --release \
  --frozen \
  --no-default-features \
  --features binaries,asm,threading,signal_support \
  --manifest-path Cargo.toml

cargo cbuild \
  --release \
  --frozen \
  --no-default-features \
  --features binaries,asm,threading,signal_support \
  --prefix=/usr \
  --manifest-path Cargo.toml

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

cargo install \
  --frozen \
  --no-default-features \
  --features binaries,asm,threading,signal_support \
  --offline \
  --no-track \
  --path . \
  --root %{buildroot}%{_prefix}

cargo cinstall \
  --release \
  --frozen \
  --no-default-features \
  --features binaries,asm,threading,signal_support \
  --prefix %{_prefix} \
  --libdir %{_libdir} \
  --destdir %{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/rav1e

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librav1e.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/rav1e
%{_includedir}/rav1e/rav1e.h
%{_libdir}/librav1e.a
%{_libdir}/librav1e.so
%{_libdir}/pkgconfig/rav1e.pc
%doc README.md

%changelog
* Wed Jan 10 2024 Automatic Build System <autodist@openmamba.org> 0.7.1-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.6-1mamba
- package created using the webbuild interface
